xmlwrapp Lightweight C++ XML parsing library

Macros
version.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | XMLWRAPP_CHECK_VERSION(major, minor, micro)
| Checks if xmlwrapp version is at least major. More...

## Detailed Description

This file contains the XMLWRAPP_CHECK_VERSION macro.

## Macro Definition Documentation

## ◆ XMLWRAPP_CHECK_VERSION

#define XMLWRAPP_CHECK_VERSION | ( |  | major,
|  |  | minor,
|  |  | micro
| ) |  |

Value:
( \
XMLWRAPP_VERSION_MAJOR > (major) \
|| \
(XMLWRAPP_VERSION_MAJOR == (major) && \
XMLWRAPP_VERSION_MINOR >= (minor)) \
|| \
(XMLWRAPP_VERSION_MAJOR == (major) && \
(XMLWRAPP_VERSION_MINOR == (minor) && \
XMLWRAPP_VERSION_MICRO >= (micro)) \
)

Checks if xmlwrapp version is at least major.

minor.micro.